<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title></title>
  <link rel="stylesheet" href="style.css">
  <style>
    .wrapper {
      display: flex;
      flex-flow: column nowrap;
    }
  </style>
</head>
<body>
  <div id="app" class="container">
    <section class="title">
      <h1>Fluxo</h1>
    </section>

    <section class="sample">
      <div class="wrapper">
        <ol v-if="sites.length > 0">
          <li
            v-for="site in sites">
            <a :href="site.link">{{ site.name }}</a>
          </li>
        </ol>
      </div>
    </section>

    <section class="sample-explain">
      <ul>
        <li>diretiva <code>v-for</code> semelhante ao <code>lista.forEach</code></li>
        <li><code>"site in sites"</code></li>
      </ul>
    </section>

    <section class="nav-btn left">
      <a href="flow.html">< prev</a>
    </section>
    <section class="nav-btn right">
      <a href="interaction.html">next ></a>
    </section>
  </div>

  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
  <script>
    const app = new Vue({
      el: '#app',
      data: {
        sites: [
          {name: 'USPCodeLab', link: 'http://uclab.xyz/site'},
          {name: 'fb/USPCodeLab', link: 'http://uclab.xyz/facebook'},
        ]
      }
    });
  </script>
</body>
</html>
